Seite 6 von 10 ErsteErste ... 45678 ... LetzteLetzte
Ergebnis 51 bis 60 von 100

Thema: Bundestag verabschiedet Gesetz zur Einfhrung der Buttonlsung

  1. #51
    Padawan Stufe V Avatar von Beowolf
    Registriert seit
    14.06.2011
    Beitrge
    665
    Themen
    196
    DANKE
    60
    Erhaltene Danke: 14

    Standard

    Na toll.

    1. Die genderten Dateien habe ich alle mit WinMerge kontrolliert. Ist also nicht alles so einfach kopiert worden.

    2. Viel wichtiger - Was soll dann so ein Hinweis?

    "Ist nur der Rubrik fr 1.5er Version, funktioniert aber auch in der 1.3.9er Version!"

    Finde ich nicht wirklich Witzig.


    .

  2. #52
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    sterreich
    Beitrge
    6.092
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 961

    Standard

    Zitat Zitat von Beowolf Beitrag anzeigen
    Na toll.
    1. Die genderten Dateien habe ich alle mit WinMerge kontrolliert. Ist also nicht alles so einfach kopiert worden.
    Na dann sieh Dir doch nochmal die includes/classes/order.php an. Die wurde bereits von der pdf Rechnung gendert.
    2. Viel wichtiger - Was soll dann so ein Hinweis?
    "Ist nur der Rubrik fr 1.5er Version, funktioniert aber auch in der 1.3.9er Version!"
    Finde ich nicht wirklich Witzig.
    Keine Ahnung, vermutlich hat der User das ganze manuell an 1.3.9 angepasst.

    Das ist wirklich notwendig, es ist sonst ja beim Mergen z.B. mit der pdf Rechnung berhaupt nicht mehr klar, welcher Code nun von der Buttonlsung kommt und welcher von 1.5

    Installationsanleitung beachten, dort steht:
    Voraussetzungen
    Dieses Modul ist nur fr die deutsche Zen-Cart 1.5 Version geeignet

    Jetzt kann man natrlich sagen: Ist mir doch egal, ich verwende ja 1.3.9 und in irgendeinem Forum hat irgendwer geschrieben, dass das eh ganz problemlos in 1.3.9 funktioniert.
    Eine Frage des Glaubens oder des Vertrauens.

    Die Hard Facts sagen:
    Das Modul ist nur im Downloadbereich fr 1.5
    Es steht dabei getestet mit 1.5
    Es steht dabei nur fr Zen-Cart 1.5 geeignet

    Grund:
    Das ganze soll auch fr nicht so versierte Anwender leicht installierbar sein. Wenn man sich an die Anleitung hlt kann nichts schiefgehen, da alle Dateien garantiert auf dem Stand der aktuellen 1.5 sind.
    Es wurde mit 1.5 getestet und es kann eine Garantie fr die Funktionstchtigkeit bernommen werden.
    Fr 1.3.9 wurde das Modul nicht bereitgestellt und nicht getestet. Hat nicht jeder Zeit und Lust alle mglichen Versionen zu testen bei neuen Modulen.

    Jetzt kann man natrlich sagen: Ist mir doch egal, ich kenn mich gut aus, ich schreib mir das einfach passend fr 1.3.9 um
    Dann gerne. Und bitte nicht vergessen, das dann allen Usern verfgbar zu machen und das auf 1.3.9 angepasste Modul in den Downloads einzureichen.
    !!! kostenloser Support ausschlielich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  3. #53
    Padawan Stufe III Avatar von Thommy
    Registriert seit
    07.01.2012
    Beitrge
    167
    Themen
    29
    DANKE
    21
    Erhaltene Danke: 10

    Standard

    Natrlich mu man die Dateien mergen, soweit klar.
    PDF Rechnung habe ich nicht installiert, dadurch auch keinerlei Probleme feststellen knnen.
    Abgesehen davon: wenns bei zwei Usern ohne Probleme luft...??

    Wenn du mit dem Ergebnis nicht zufrieden bist, einfach dein Save wieder zurckspielen und alles ist wieder gut!
    Gendert von Thommy (31.07.2012 um 13:18 Uhr)
    Nette Gre
    Thommy

  4. #54
    Padawan Stufe V Avatar von Beowolf
    Registriert seit
    14.06.2011
    Beitrge
    665
    Themen
    196
    DANKE
    60
    Erhaltene Danke: 14

    Standard

    Dann mal anders gefragt.

    Wird es eine "Buttonlsung" fr die Version 1.3.9 geben oder wohl eher nicht?


    Gre
    Manfred

  5. #55
    Padawan Stufe VIII Avatar von klartexter
    Registriert seit
    19.02.2006
    Ort
    Augsburg
    Beitrge
    1.153
    Themen
    60
    DANKE
    31
    Erhaltene Danke: 93

    Standard

    Zitat Zitat von Beowolf Beitrag anzeigen
    Dann mal anders gefragt.

    Wird es eine "Buttonlsung" fr die Version 1.3.9 geben oder wohl eher nicht?


    Gre
    Manfred
    Hallo Manfred,

    ich glaube kaum, dass man (webchills) noch das Modul fr die Version 1.39 umschreibt. Nach Erscheinen einer neuen Shopversion werden die lteren Versionen ja nicht mehr supportet. Ich habe gestern Nacht von 1.39 auf 1.5 upgedatet.
    Immer mit der Ruhe - ich komme noch frh genug zu spt!

  6. #56
    Padawan Stufe V Avatar von Beowolf
    Registriert seit
    14.06.2011
    Beitrge
    665
    Themen
    196
    DANKE
    60
    Erhaltene Danke: 14

    Standard

    Wrde ich ja gerne, aber ich habe gerade alles so wie ich es wollte.

    Mit einen Update beginne ich wieder bei Null und mu alles noch einmal zusammen fummeln.

    Ich hatte es mit einem "Demo-Shop" letzte Tage mal probiert. Ohne Template ohne alles. Hatte nur versucht die gesicherte Datenbank von 1.3.9 nach 1.5 zu bekommen.

    Habe es nicht hin bekommen.

    Wird mir aber wohl auf die Dauer nichts anderes brig bleiben.

  7. #57
    Padawan Stufe III Avatar von Hawcha
    Registriert seit
    14.04.2011
    Beitrge
    217
    Themen
    17
    DANKE
    20
    Erhaltene Danke: 37

    Standard

    Also, das Modul luft einwandfrei auf meiner 1.3.9 er version (und das in zwei shops).

    Ich postete brigens folgendes:

    Funktioniert einwandfrei, musst nur die Dateien entsprechend mergen.
    Also, bitte nicht alles einfach drberbgeln ... wie Webchills schon sagte.

    Wenn es um die Orders.php geht: Hier nur die Abschnitte ndern, die auch mit der Button-Lsung zusammenhngen.
    Die Datei enthllt sehr viele Unterschiede gegenber der 1.3 er Version und luft sonst nicht mehr !!!

  8. #58
    Padawan Stufe V Avatar von Beowolf
    Registriert seit
    14.06.2011
    Beitrge
    665
    Themen
    196
    DANKE
    60
    Erhaltene Danke: 14

    Standard

    Klingt event. jetzt blde, aber ich habe meine alte Order.php wieder in den Ordner shop\includes\classes kopiert.

    Was soll ich sagen, es funktioniert.

    Keinen blassen Schimmer was jetzt event. fehlt, bis jetzt ist mir noch nichts Negatives aufgefallen.


    Werde mir jetzt diese ganze Update-Geschichte ganz genau anschauen.


    Gre
    Manfred

  9. #59
    Padawan Anwrter Avatar von SunStarAC
    Registriert seit
    22.05.2012
    Beitrge
    7
    Themen
    3
    DANKE
    1
    Erhaltene Danke: 0

    Standard

    Hiho zusammen,

    habe das Modul "Button-Lsung" problemlos fr die 1.3.9 nutzen knnen.
    Wichtig dabei "LESEN - LESEN - LESEN"

    Jetzt aber mal zum Punkt:

    Laut Trusted-Shops mssen, auf der letzten Bestellseite, auch die Kosten hervorgehoben sein.
    Entweder Fett mittels < b > - </b> oder mit einem farblichem Rahmen.

    Momentan ist der Inhalt des Warenkorbs mit einem grauen Rahmen hinterlegt.
    Wie bekomme ich es jetzt hin das dieser Rahmen auch die Kosten: Zwischensumme - Versandkosten - 19 % - Endsumme umschliet?

    Besten dank vorab.

  10. #60
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    sterreich
    Beitrge
    6.092
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 961

    Standard

    Zitat Zitat von SunStarAC Beitrag anzeigen
    Laut Trusted-Shops mssen, auf der letzten Bestellseite, auch die Kosten hervorgehoben sein.
    Entweder Fett mittels < b > - </b> oder mit einem farblichem Rahmen.
    Momentan ist der Inhalt des Warenkorbs mit einem grauen Rahmen hinterlegt.
    Wie bekomme ich es jetzt hin das dieser Rahmen auch die Kosten: Zwischensumme - Versandkosten - 19 % - Endsumme umschliet?
    Vorschlag:
    includes/templates/DEINTEMPLATE/templates/tpl_checkout_confirmation.php

    Du umschliesst diesen Bereich mit einem neuen Container und fgst zu Beginn ein:
    Code:
    <div id="cartandsum">
    schaut dann so aus:
    Code:
    <div id="cartandsum">
    <h2 id="checkoutConfirmDefaultHeadingCart"><?php echo HEADING_PRODUCTS; ?></h2>
    Und am Ende schliesst Du den Container wieder mit
    Code:
    </div>
    schaut dann so aus:
    Code:
    <div id="orderTotals"><?php $order_total_modules->output(); ?></div>
    <?php
      }
    ?>
    </div>
    Jetzt kannst Du diesem Bereich in Deinem Stylesheet eine Hintergrundfarbe geben und trgst z.B. ein:
    Code:
    #cartandsum{
        background:#F6F6F6;    
    }
    Ergebnis ist dann:
    cartandsum.jpg

    Der Jammer mit dieser "Buttonlsung" ist, dass manche es so empfehlen, manche so, das macht es so schwierig eine definitive Version zu erstellen und die auch gleich in die Zen-Cart Grundinstallation zu bernehmen.
    Ich habe nun schon bei vielen gesehen, dass die Angabe zur Lieferzeit auch aufscheinen muss. Andere wiederum messen dem nicht so viel Bedeutung bei.
    Solange das nicht wirklich definitiv abmahnsicher geregelt ist, ist das ein stndiges Herumdoktern.
    Gendert von webchills (01.08.2012 um 19:58 Uhr)
    !!! kostenloser Support ausschlielich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

Seite 6 von 10 ErsteErste ... 45678 ... LetzteLetzte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhnge hochladen: Nein
  • Beitrge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz verffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedrfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in sterreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfgung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1188 vom 02.12.2016
[Download]